summaryrefslogtreecommitdiffstats
path: root/rooty 2.sh
diff options
context:
space:
mode:
Diffstat (limited to 'rooty 2.sh')
-rwxr-xr-xrooty 2.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/rooty 2.sh b/rooty 2.sh
new file mode 100755
index 0000000..2b4dad9
--- /dev/null
+++ b/rooty 2.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+# $0 is visible globally, in functions too
+
+# apparently su -c accepts a command and 1 argument, hence we export
+CMDL_ARGS=$@
+export CMDL_ARGS
+
+chk_root()
+{
+ if [[ ! $(id -u) -eq 0 ]]; then
+ echo "root user required";
+ # exec works similar to fork()
+ exec su -c "\"$0\" $CMDL_ARGS"
+ exit $?
+ fi
+}
+
+chk_root $@
+if [[ $(id -u) -eq 0 ]]; then
+ echo "you're root"
+fi
+